use crate::{Payload, SeString};
use crate::payload::MapLinkPayload;

super::basic_tests! {
    map {
        payload = &[2, 39, 15, 4, 244, 132, 2, 246, 1, 16, 42, 246, 1, 130, 161, 255, 1, 3];
        expected = SeString(vec!{
            Payload::MapLink(MapLinkPayload {
                territory_type: 132,
                map: 2,
                raw_x: 69674,
                // x: 12.644841
                raw_y: 98977,
                // y: 13.231473
            }),
        });
    }
}
